Jump to content











Photo
- - - - -

ChrisPE - a PEBakery Team release

winpe pebakery chrispe

  • Please log in to reply
31 replies to this topic

#26 erwan.l

erwan.l

    Platinum Member

  • Developer
  • 2618 posts
  • Location:Nantes - France
  •  
    France

Posted 2 weeks ago

Hey Misty,

 

Happy to see around - Hope life is good with you!

 

Take care,

Erwan



#27 alacran

alacran

    Silver Member

  • .script developer
  • 925 posts
  •  
    Mexico

Posted A week ago

@ misty

 

So far this are my findings:

Imdisk Description on Script says version 2.0.9 and it is 2.0.10

7zip.script is updated to v19.0.0.0, but not version on Tools where it is still v16.4.0.0

There are many Scripts that do not allow to toggle between tabs 1 and 2 or vice versa on PEBakery.

 

Only 7-zip, LaunchBar, DiskMgmt, DMDE and JustManager change tabs fine, all the other don't.

But all toggle between tabs fine on Winbuilder 0.82

 

 

alacran


  • misty likes this

#28 misty

misty

    Silver Member

  • Developer
  • 969 posts
  •  
    United Kingdom

Posted A week ago

Hello my friend, it's been a long time since I saw you here last time, hope you and your family are fine...


...Happy to see around - Hope life is good with you!...


@erwan.l and @alacran
Thank you both for your messages. All is well and it's good to be back - dipping my toe once more into the world of booting and WinPE. It's been busy with work and family commitments, and getting the balance is always tricky. Hence my many abscences from the forum. Hope you are both ok. And fingers crossed I'll be hanging around here for a while before my next disappearing act.

:cheers:

Misty

#29 misty

misty

    Silver Member

  • Developer
  • 969 posts
  •  
    United Kingdom

Posted A week ago

...Imdisk Description on Script says version 2.0.9 and it is 2.0.10...

Well spoted my eagle eyed friend. I'll edit the script for the next upload.
 

...7zip.script is updated to v19.0.0.0, but not version on Tools where it is still v16.4.0.0...

And that was me being lazy. Version 16.4.0.0 is working well for project building purposes so I didn't update this as it resulted in less testing.
 

...There are many Scripts that do not allow to toggle between tabs 1 and 2 or vice versa on PEBakery.

Only 7-zip, LaunchBar, DiskMgmt, DMDE and JustManager change tabs fine, all the other don't....

All are working fine for me with the PEBakery version included in the most recent test branch release of ChrisPE. Can you please recheck? And include details of the system you are using to run the build (OS and 32-bit or 64-bit).
 

...But all toggle between tabs fine on Winbuilder 0.82...

They probably shouldn't as I'm sure the code includes commands not supported in WinBuilder. I'm away from home at the moment and will check later.

:cheers:

Misty

P.s. Thanks for testing and feeding back.

#30 alacran

alacran

    Silver Member

  • .script developer
  • 925 posts
  •  
    Mexico

Posted A week ago

I'm using your last test branch release of ChrisPE from your post, running project with included PEBakery, on this PC OS is 7-SP1x86 updated to Dec 2017 (before all debacle with Meltdown and Spectre Updates), + .NET framework 4.7.1

 

I didn't try to run the project on Winbuilder 0.82, I was only checking toggle tabs, in fact I used it to make some changes on tab 2, returned to tab 1 and then after close Winbuilder, ran the builds with PEBakery, using as sources 7x86 and 7x64 SP-1, since I was testing my new Wofadk, WinNTSetup and Wimlib-clc scripts, builds were very fine, no problems, and both ChrisPEs x86 and x64 booted fine and ran all programs included.

 

alacran



#31 misty

misty

    Silver Member

  • Developer
  • 969 posts
  •  
    United Kingdom

Posted A week ago

@alacran
I'll try using a Windows 7 Host OS. My recent tests were on Windows 8.1 Update and Windows 10 Host Operating Systems.

If PEBakery working ok with .NET Framework 4.7.1? I thought that the new build (beta5) required 4.7.2?

Misty

#32 ied206

ied206

    Newbie

  • .script developer
  • 18 posts
  •  
    South Korea

Posted A week ago

@alacran
I'll try using a Windows 7 Host OS. My recent tests were on Windows 8.1 Update and Windows 10 Host Operating Systems.

If PEBakery working ok with .NET Framework 4.7.1? I thought that the new build (beta5) required 4.7.2?

Misty

 

PEBakery beta 5 runs on .Net Framework 4.7.1.

PEBakery beta 6 would be based on .Net Framework 4.7.2 to avoid library depedency issue, especially for WebGet implementation.


  • misty likes this





Also tagged with one or more of these keywords: winpe, pebakery, chrispe

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users